package arabiannight.tistroy.com.configuration;

import android.app.Activity;
import android.content.Context;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.Log;

public class TestConfigurationActivity extends Activity {
	
	private static final String TAG = "TestConfigurationActivity";
	private int layout = R.layout.main;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	super.onCreate(savedInstanceState);
    	
    	/**
    	 * Activity 실행시 화면모드 확인 하기
    	 */
    	if(getResources().getConfiguration().orientation == Configuration.
    			ORIENTATION_LANDSCAPE) {
    		layout = R.layout.main;
    	} else if (getResources().getConfiguration().orientation == Configuration.
    			ORIENTATION_PORTRAIT) {
    		layout = R.layout.main;
    	} else {
    		layout = R.layout.main;
    	}

    	setContentView(layout);

    }
    
    
    /**
     * Activity 화면 전환시 호출
     */
    @Override
	public void onConfigurationChanged(Configuration newConfig) {
		super.onConfigurationChanged(newConfig);

		if (newConfig.orientation == Configuration.ORIENTATION_PORTRAIT) 
		{ 
			// 세로 전환시 발생
		} 
		else if (newConfig.orientation == Configuration.ORIENTATION_LANDSCAPE) 
		{
			// 가로 전환시 발생
		}
	}
    
    /**
     * px을 dip로 반환
     * @param con
     * @param px
     * @return dip
     */
	public static int getPxToDip(Context con, int px) {
		float density = 0.0f;
		density  = con.getResources().getDisplayMetrics().density;
		Log.d(TAG, "density = " + density);
		return (int)(px / density);
	}
	
	/** 
	 * 단말기 가로 해상도 구하기
	 * @param activity
	 * @return width
	 */
	public static int getScreenWidth(Activity activity) {
		Log.d(TAG, "getScreenWidth() Start");
		int width = 0;
		width = activity.getWindowManager().getDefaultDisplay().getWidth();
		Log.i(TAG, "Screen width = " + width);
		return width;
	}
	
	/** 
	 * 단말기 세로 해상도 구하기
	 * @param activity
	 * @return hight
	 */
	public static int getScreenHeight(Activity activity) {
		Log.d(TAG, "getScreenHeight() Start");
		int height = 0;
		height = activity.getWindowManager().getDefaultDisplay().getHeight();
		Log.i(TAG, "Screen height = " + height);
		return height;
	}
}
